# `cinny` deployment using `docker`

> [!INFO]
> Needs the python library `docker` on the `ansible_host`.

## Configuration

The following options to the
[`docker_container` module](https://docs.ansible.com/ansible/latest/collections/community/docker/docker_container_module.html)
are available under the `cinny_container_` prefix:

- `env`
- `ports`
- `labels`
- `networks`
- `etc_hosts`
- `purge_networks`

The following variables are pre-populated by the role, so override them with care:

- `name`
- `image`
- `user`
- `volumes`
- `restart_policy`

## Pulling from a self-hosted container registry

Set `cinny_container_image_registry` to use a self-hosted docker registry / mirror / cache.

If you need to authenticate to your registry and are not yet logged in, set `cinny_container_image_registry_{username,password}` and the role will attempt to log in.

Set `cinny_container_image_registry_reauthorize` to `true` if you want to force a reauthorization at the registry.
